# FoundationClasses
TKMath
math

# math_MultipleVarFunction Class Reference

Describes the virtual functions associated with a multiple variable function.
.

`#include <math_MultipleVarFunction.hxx>`

Inheritance diagram for math_MultipleVarFunction:

[legend]

## Public Member Functions

void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
virtual Standard_EXPORT Standard_Integer | NbVariables () const =0
| Returns the number of variables of the function .
virtual Standard_EXPORT Standard_Boolean | Value (const math_Vector &X, Standard_Real &F)=0
| Computes the values of the Functions <f> for the variable <x>. returns True if the computation was done successfully, otherwise false. .
virtual Standard_EXPORT Standard_Integer | GetStateNumber ()

return the state of the function corresponding to the latestt
call of any methods associated to the function. This
function is called by each of the algorithms described
later which define the function Integer
Algorithm::StateNumber(). The algorithm has the
responsibility to call this function when it has found
a solution (i.e. a root or a minimum) and has to maintain
the association between the solution found and this
StateNumber.
Byu default, this method returns 0 (which means for the
algorithm: no state has been saved). It is the
responsibility of the programmer to decide if he needs
to save the current state of the function and to return
an Integer that allows retrieval of the state.

## Member Function Documentation

virtual Standard_EXPORT Standard_Integer math_MultipleVarFunction::GetStateNumber | ( |  | ) | `[virtual]`

virtual Standard_EXPORT Standard_Integer math_MultipleVarFunction::NbVariables | ( |  | ) | const`[pure virtual]`

| Implemented in math_MultipleVarFunctionWithGradient, and math_MultipleVarFunctionWithHessian.

void math_MultipleVarFunction::operator delete | ( | void * | anAddress | ) | `[inline]`

| Reimplemented in math_MultipleVarFunctionWithGradient, and math_MultipleVarFunctionWithHessian.

void* math_MultipleVarFunction::operator new | ( | size_t | size | ) | `[inline]`

| Reimplemented in math_MultipleVarFunctionWithGradient, and math_MultipleVarFunctionWithHessian.

void* math_MultipleVarFunction::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

| Reimplemented in math_MultipleVarFunctionWithGradient, and math_MultipleVarFunctionWithHessian.

virtual Standard_EXPORT Standard_Boolean math_MultipleVarFunction::Value | ( | const math_Vector & | X,
|  | Standard_Real & | F
| ) | `[pure virtual]`

| Implemented in math_MultipleVarFunctionWithGradient, and math_MultipleVarFunctionWithHessian.

The documentation for this class was generated from the following file:

- math_MultipleVarFunction.hxx